在树莓派上安装 TensorFlow

这个教程介绍如何在运行 Raspbian 的 Raspberry Pi 上安装 TensorFlow。 虽然这些说明也适用于其他 P i变体,但我们仅在满足以下要求的机器上测试(并且我们仅支持)这些说明:

要求:Raspberry Pi devices running Raspbian 9.0 or higher

Atlas是一个基于 numpy 的线性代数库,因此需要在 TensorFlow 之前安装。 要将其添加到系统,请运行以下命令:

前置依赖:sudo apt install libatlas-base-dev

安装 TensorFlow

pip3 install tensorflow # Python 3.n
pip install tensorflow # Python 2.7

验证安装,可以尝试运行一下 Python 代码。

Python

import tensorflow as tf
hello = tf.constant(‘Hello, TensorFlow!’)
sess = tf.Session()
print(sess.run(hello))

正确的输出:

Hello, TensorFlow!

原文:https://www.tensorflow.org/install/install_raspbian
翻译:http://www.tf86.com/2018/08/06/install_raspbian/

Be the first to comment

Leave a Reply

Your email address will not be published.